Name: 		sysstat
Version: 	12.7.6
Release: 	%mkrel 1
Summary: 	Includes the sar and iostat system monitoring commands
License: 	GPLv2
Group: 		Monitoring
URL: 		https://sysstat.github.io/
Source0: 	https://github.com/sysstat/sysstat/archive/v%{version}/%{name}-%{version}.tar.gz

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%autosetup -p1

%build
export sa_lib_dir=%{_libdir}/sa
%configure \
	--disable-file-attr \
	--disable-stripping

%make_build CFLAGS="%{optflags}"


%install
%make_install

rm -fr %{buildroot}%{_datadir}/doc/%{name}-%{version}

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}

cat > %{buildroot}/etc/cron.daily/%{name} <<EOF
#!/bin/sh

# generate a daily summary of process accounting.
%{_libdir}/sa/sa2 -A &

EOF
chmod +x  %{buildroot}/etc/cron.daily/%{name}

cat > %{buildroot}/etc/cron.hourly/%{name} <<EOF
#!/bin/sh

# snapshot system usage every 10 minutes six times.
%{_libdir}/sa/sa1 600 6 &

EOF
chmod +x  %{buildroot}/etc/cron.hourly/%{name}

rm -fr %{buildroot}%{_prefix}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES COPYING CREDITS FAQ.md README.md
%config(noreplace) %{_sysconfdir}/cron.hourly/sysstat
%config(noreplace) %{_sysconfdir}/cron.daily/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_var}/log/sa


%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 12.7.6-1.mga10
+ Revision: 2119922
- new version: 12.7.6

* Sun Sep 17 2023 daviddavid <daviddavid> 12.7.4-1.mga10
+ Revision: 1987583
- new version: 12.7.4

* Fri Jun 16 2023 ns80 <ns80> 12.7.2-2.mga9
+ Revision: 1962106
- add an upstream patch for CVE-2023-33204 (mga#32019)

* Thu Feb 09 2023 luigiwalser <luigiwalser> 12.7.2-1.mga9
+ Revision: 1939747
- 12.7.2

* Sat Dec 10 2022 ghibo <ghibo> 12.7.1-1.mga9
+ Revision: 1920261
- Update to release 12.7.1

* Mon Nov 14 2022 luigiwalser <luigiwalser> 12.6.1-1.mga9
+ Revision: 1907271
- 12.6.1 (fixes CVE-2022-39377)

* Mon Sep 19 2022 luigiwalser <luigiwalser> 12.6.0-1.mga9
+ Revision: 1890687
- 12.6.0
- remove patch (fixed upstream)

* Thu Apr 14 2022 luigiwalser <luigiwalser> 12.5.6-1.mga9
+ Revision: 1849316
- 12.5.6
- add patch from fedora to honor ldflags in Makefiles

* Tue Mar 15 2022 umeabot <umeabot> 12.5.4-2.mga9
+ Revision: 1793594
- Mageia 9 Mass Rebuild

* Mon Jun 21 2021 luigiwalser <luigiwalser> 12.5.4-1.mga9
+ Revision: 1731632
- 12.5.4

* Wed Mar 10 2021 daviddavid <daviddavid> 12.5.3-1.mga9
+ Revision: 1700992
- new version: 12.5.3

* Wed Dec 30 2020 luigiwalser <luigiwalser> 12.5.2-1.mga8
+ Revision: 1665935
- 12.5.2

* Sun Nov 29 2020 luigiwalser <luigiwalser> 12.4.1-1.mga8
+ Revision: 1650063
- 12.4.1

* Wed Feb 19 2020 umeabot <umeabot> 12.3.1-2.mga8
+ Revision: 1543948
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 12.3.1-1.mga8
+ Revision: 1482508
- new version: 12.3.1

* Tue Jan 21 2020 daviddavid <daviddavid> 12.2.1-1.mga8
+ Revision: 1481783
- new version: 12.2.1, fixes CVE-2019-19725 (mga#26067)
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 21 2019 daviddavid <daviddavid> 12.2.0-1.mga8
+ Revision: 1461954
- new version: 12.2.0

* Fri Aug 30 2019 daviddavid <daviddavid> 12.1.6-1.mga8
+ Revision: 1435362
- new version: 12.1.6

* Sat Jul 13 2019 daviddavid <daviddavid> 12.1.5-1.mga8
+ Revision: 1420835
- new version: 12.1.5

* Sat Apr 20 2019 daviddavid <daviddavid> 12.1.4-1.mga7
+ Revision: 1393676
- new version: 12.1.4

* Sun Feb 17 2019 luigiwalser <luigiwalser> 12.1.3-1.mga7
+ Revision: 1367989
- 12.1.3

* Sun Dec 30 2018 luigiwalser <luigiwalser> 12.1.2-1.mga7
+ Revision: 1346672
- 12.1.2

* Sun Nov 11 2018 daviddavid <daviddavid> 12.1.1-1.mga7
+ Revision: 1329474
- new version: 12.1.1

* Sun Sep 23 2018 umeabot <umeabot> 11.6.3-2.mga7
+ Revision: 1301292
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 11.6.3-1.mga7
+ Revision: 1221981
- Update to version 11.6.3

* Sat Jan 06 2018 daviddavid <daviddavid> 11.6.1-1.mga7
+ Revision: 1190725
- new version: 11.6.1

* Tue May 16 2017 luigiwalser <luigiwalser> 11.4.4-1.mga6
+ Revision: 1102254
- 11.4.4

* Fri Nov 11 2016 luigiwalser <luigiwalser> 11.4.2-1.mga6
+ Revision: 1066587
- 11.4.2

* Sat Sep 10 2016 luigiwalser <luigiwalser> 11.4.0-1.mga6
+ Revision: 1051351
- 11.4.0

* Wed Aug 10 2016 luigiwalser <luigiwalser> 11.2.5-1.mga6
+ Revision: 1045350
- 11.2.5

* Wed May 25 2016 luigiwalser <luigiwalser> 11.2.4-1.mga6
+ Revision: 1018458
- 11.2.4

* Mon May 09 2016 luigiwalser <luigiwalser> 11.2.3-1.mga6
+ Revision: 1011315
- 11.2.3

* Mon Jan 25 2016 luigiwalser <luigiwalser> 11.2.0-1.mga6
+ Revision: 927201
- 11.2.0

* Sat Dec 26 2015 luigiwalser <luigiwalser> 11.1.8-1.mga6
+ Revision: 915445
- 11.1.8

* Thu Oct 22 2015 daviddavid <daviddavid> 11.1.3-2.mga6
+ Revision: 894181
- fix empty debugfiles adding --disable-stripping configure option

* Sun Feb 22 2015 luigiwalser <luigiwalser> 11.1.3-1.mga5
+ Revision: 816336
- 11.1.3

* Mon Nov 03 2014 luigiwalser <luigiwalser> 11.1.2-1.mga5
+ Revision: 795363
- 11.1.2

* Wed Oct 15 2014 umeabot <umeabot> 11.1.1-3.mga5
+ Revision: 739229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 11.1.1-2.mga5
+ Revision: 689663
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 11.1.1-1.mga5
+ Revision: 672648
- 11.1.1

* Fri Sep 05 2014 luigiwalser <luigiwalser> 11.0.1-1.mga5
+ Revision: 672333
- 11.0.1

* Wed Jun 18 2014 luigiwalser <luigiwalser> 11.0.0-1.mga5
+ Revision: 637953
- 11.0.0

* Sat Mar 22 2014 luigiwalser <luigiwalser> 10.3.1-1.mga5
+ Revision: 606645
- 10.3.1

* Fri Feb 14 2014 luigiwalser <luigiwalser> 10.2.1-1.mga5
+ Revision: 591008
- 10.2.1

* Tue Nov 05 2013 luigiwalser <luigiwalser> 10.2.0-1.mga4
+ Revision: 549750
- 10.2.0

* Sat Oct 19 2013 umeabot <umeabot> 10.1.7-2.mga4
+ Revision: 534770
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 luigiwalser <luigiwalser> 10.1.7-1.mga4
+ Revision: 478745
- 10.1.7

* Mon Jun 10 2013 luigiwalser <luigiwalser> 10.1.6-1.mga4
+ Revision: 441370
- 10.1.6

* Fri May 24 2013 luigiwalser <luigiwalser> 10.1.5-1.mga4
+ Revision: 426754
- 10.1.5

* Mon Jan 21 2013 malo <malo> 10.1.3-3.mga3
+ Revision: 390512
- update RPM group

* Mon Jan 14 2013 umeabot <umeabot> 10.1.3-2.mga3
+ Revision: 383959
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 luigiwalser <luigiwalser> 10.1.3-1.mga3
+ Revision: 334744
- 10.1.3

* Sun Oct 07 2012 luigiwalser <luigiwalser> 10.1.2-1.mga3
+ Revision: 303141
- 10.1.2
- update patch 0

* Mon Jul 30 2012 guillomovitch <guillomovitch> 10.1.1-1.mga3
+ Revision: 276001
- new version

* Sun Jun 03 2012 luigiwalser <luigiwalser> 10.0.5-1.mga3
+ Revision: 253498
- 10.0.5

* Sun Apr 15 2012 luigiwalser <luigiwalser> 10.0.4-1.mga2
+ Revision: 230968
- 10.0.4

* Mon Dec 12 2011 guillomovitch <guillomovitch> 10.0.3-1.mga2
+ Revision: 181009
- drop obsolete upgrade trigger
- don't remove logs on uninstallation, no other package do it
- new version
- spec cleanup

* Mon Feb 21 2011 ennael <ennael> 9.6.1-1.mga1
+ Revision: 55077
- imported package sysstat


* Wed Dec 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 9.6.1-1mdv2011.0
+ Revision: 604500
- fix version
---This line, and those below, will be ignored--
  D    SOURCES/sysstat-9.0.6.1.tar.gz
  AM   SOURCES/sysstat-9.6.1.tar.gz
  M    SPECS/sysstat.spec
- correct version
- update to 9.0.6.1

* Sun Jul 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 9.1.3-1mdv2011.0
+ Revision: 551164
- fix source (use a tar.gz given by upstream)
- update to 9.1.3

* Sat Apr 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 9.1.1-2mdv2010.1
+ Revision: 538440
- don't define {name version release} on top of spec.
- fix license to GPLv2 (according to COPYING file)
- use %%configure2_5x
- use 'rm -rf' in %%preun
- use {_sysconfdir} in %%files
- bump rel

  + trem <trem@mandriva.org>
    - update to 9.1.1

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.6-1mdv2010.1
+ Revision: 465205
- update to new version 9.0.6

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.5-1mdv2010.0
+ Revision: 447885
- update to new version 9.0.5

* Mon Jul 20 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.4-1mdv2010.0
+ Revision: 398230
- Update to new version 9.0.4

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.3-1mdv2010.0
+ Revision: 379246
- Update to new version 9.0.3

* Wed Mar 11 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.1-1mdv2009.1
+ Revision: 353925
- Update to new version 9.0.1
- Add patch fixing build with -Werror=format-security

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 8.1.6-1mdv2009.1
+ Revision: 291684
- update to new version 8.1.6

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 8.1.3-3mdv2009.0
+ Revision: 269402
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Olivier Thauvin <nanardon@mandriva.org> 8.1.3-2mdv2009.0
+ Revision: 218224
- fix path substitution, then fixing #41296

* Sun May 25 2008 trem <trem@mandriva.org> 8.1.3-1mdv2009.0
+ Revision: 211253
- 8.1.3

* Mon Feb 11 2008 Olivier Thauvin <nanardon@mandriva.org> 8.1.1-1mdv2008.1
+ Revision: 165159
- 8.1.1

* Wed Jan 16 2008 Thierry Vignaud <tv@mandriva.org> 7.1.6-3mdv2008.1
+ Revision: 153724
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 7.1.6-2mdv2008.0
+ Revision: 70353
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago

* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 7.1.6-1mdv2008.0
+ Revision: 69301
- 7.1.6

* Wed Jul 04 2007 Erwan Velu <erwan@mandriva.org> 7.1.5-1mdv2008.0
+ Revision: 48238
- 7.1.5

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 7.1.3-1mdv2008.0
+ Revision: 17463
- 7.1.3


* Mon Jan 15 2007 Erwan Velu <erwan@mandriva.org> 7.0.3-1mdv2007.0
+ Revision: 109241
- 7.0.3
- Import sysstat

* Tue May 30 2006 Erwan Velu <erwan@seanodes.com> 6.1.3-1mdk
- 6.1.3

* Fri Dec 02 2005 Erwan Velu <erwan@seanodes.com> 6.0.2-1mdk
- 6.0.2

* Sat Nov 26 2005 Olivier Thauvin <nanardon@mandriva.org> 6.0.1-3mdk
- mkrel
- prereq fix

* Sat Nov 26 2005 Olivier Thauvin <nanardon@mandriva.org> 6.0.1-2mdk
- fix cron on amd64 (aka libdir path)

* Tue Jun 28 2005 Erwan Velu <erwan@seanodes.com> 6.0.1-1mdk
- 6.0.1

* Thu Aug 26 2004 Anne Nicolas <anne@lea-linux.org> 5.0.6-1mdk
- new release 
- add URL

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.3-1mdk
- new release

